package edu.travel.upload.cos.property;


import com.qcloud.cos.COSClient;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.boot.autoconfigure.condition.ConditionalOnClass;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Component
@ConfigurationProperties(prefix = "tencent.cos")
@ConditionalOnClass(COSClient.class)
public class CosProperties {
   private String baseUrl;
   private String  accessKey;
   private String  secretKey;
   private String  regionName;
   private String  bucketName;
   private String  folderPrefix;
}
