package edu.travel.commodity.vo;



import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
public class ProductSpecVo {

    /**
     * 商品ID
     */
    private String  id;

    /**
     * 商品名称
     */
    private String productName;
    /**
     * 列表展示图片
     */
    private List<String> images;

    /**
     * 商品描述
     */
    private String description;

    /**默认价格*/
    private BigDecimal defaultPrice;

    /**商品对应的规格值*/
    private List<ProductSkuVo> skuList;
}
